Bug 969529 - scheduling install have required parameters --name, --content-unit
scheduling install have required parameters --name, --content-unit
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 13:38 EDT by Preethi Thomas
Modified: 2013-09-10 11:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:42:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-05-31 13:38:34 EDT
Description of problem:

Package/Errata install has the  following parmeters.  not sure why --content-unit and --name are required.

Also another observation is why the recurrence is needed in the schedule for package install, if the package is already installed.


[root@ibm-x3550m3-09 ~]# pulp-admin rpm consumer package install schedules createCommand: create
Description: adds a new scheduled install operation

Available Arguments:

  --schedule, -s          - (required) time to execute in iso8601 format
                            (yyyy-mm-ddThh:mm:ssZ/PiuT); the number of
                            recurrences may be specified in this value
  --failure-threshold, -f - number of failures before the schedule is
                            automatically disabled; unspecified means the
                            schedule will never be automatically disabled
  --consumer-id           - (required) unique identifier; only alphanumeric, -,
                            and _ allowed
  --content-unit          - (required) content unit id; may be repeated for
                            multiple content units
  --name, -n              - (required) package name; may be repeated for
                            multiple packages

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2013-06-06 10:25:00 EDT
https://github.com/pulp/pulp_rpm/pull/230
Comment 2 Jeff Ortel 2013-06-06 12:19:47 EDT
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.
Comment 3 Jeff Ortel 2013-06-11 10:15:37 EDT
build: 2.2.0-0.3.beta
Comment 4 Preethi Thomas 2013-06-20 13:52:42 EDT
verified
[root@ibm-x3550m3-13 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.4.beta.fc18.noarch
[root@ibm-x3550m3-13 ~]# 

[root@ibm-x3550m3-13 ~]# pulp-admin rpm consumer package install schedules create
Command: create
Description: adds a new scheduled install operation

Available Arguments:

  --schedule, -s          - (required) time to execute in iso8601 format
                            (yyyy-mm-ddThh:mm:ssZ/PiuT); the number of
                            recurrences may be specified in this value
  --failure-threshold, -f - number of failures before the schedule is
                            automatically disabled; unspecified means the
                            schedule will never be automatically disabled
  --consumer-id           - (required) unique identifier; only alphanumeric, .,
                            -, and _ allowed
  --name, -n              - (required) package name; may be repeated for
                            multiple packages
The following options are required but were not specified:
  --schedule
  --consumer-id
  --name
[root@ibm-x3550m3-13 ~]# 
[root@ibm-x3550m3-13 ~]#
Comment 5 Preethi Thomas 2013-09-10 11:42:54 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.